Bug 1289613 - liblxqt build failure in epel7
liblxqt build failure in epel7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: liblxqt (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-08 09:56 EST by Ngo Than
Modified: 2016-06-18 11:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: liblxqt-0.10.0-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 11:47:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2015-12-08 09:56:55 EST
liblxqt build failure in epel7, it has BR on kf5 stuff which are not available in epel7.

We need to add missing kf5 stuffs in epel7 ASAP or revert to 0.8.0 version.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12107958
Comment 1 Dan Horák 2015-12-08 10:25:31 EST
Does the same problem exist in "primary" EPEL? If it's ppc64le specific the deps should get there so a newer build might succeed.
Comment 2 Yaakov Selkowitz 2015-12-10 23:50:37 EST
(In reply to Ngo Than from comment #0)
> liblxqt build failure in epel7, it has BR on kf5 stuff which are not
> available in epel7.
> 
> We need to add missing kf5 stuffs in epel7 ASAP or revert to 0.8.0 version.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12107958

That build is 0.8.0, and the problem isn't BRs but with Qt 5.5 source compatibility.
Comment 3 Yaakov Selkowitz 2015-12-11 00:56:49 EST
However I see now that epel7 git is at 0.9.0, which does pull in kf5-kwindowsystem which BRs: extra-cmake-modules and kf5-rpm-macros.  So we have a bit of a dilemma here.  Either those few kf5 packages need to be added to epel7 (and for all I know someone is planning on adding *all* of them), or epel7 git be reverted to 0.8.0 with the following patch to fix the build with Qt 5.5:

https://github.com/lxde/liblxqt/commit/7303ea207de0771d6f450a31ec4a1ce69202869b
Comment 4 Ngo Than 2015-12-11 02:34:32 EST
this issue does exist in "primary" EPEL. I'm working with the maintainer to add kf5 stuff in epel ASAP so we can build new liblxqt.
Comment 5 Helio Chissini de Castro 2016-01-15 08:44:04 EST
Closing this bug as release pending.

All the infra is available and a repository for epel is created on copr.
https://copr.fedoraproject.org/coprs/g/kdesig/LXQt_Epel_7/

So now the decision is in the hands of Than to backport this packages to epel officially.
The kde-sig is interested on this as well because this changes allow not only lxqt, but kde plasma 5 been enabled on epel.

Regards, Helio
Comment 6 Ngo Than 2016-01-29 04:54:08 EST
Helio, it's fine with me to backport them to epel7. Do we already have the kf5* packages and other packages which needed to build liblxqt in epel7?

Thanks
Comment 7 Rex Dieter 2016-01-29 08:01:37 EST
No kf5 in epel yet. 

from a recent kde-sig meeting, I thought the plan was to make a dedicated kf5 copr (with long-term plans of considering a plasma5 copr too).

I suppose having the minimal kf5 pieces for lxqt in the lxqt copr may be a good enough test.
Comment 8 Yaakov Selkowitz 2016-04-28 02:16:39 EDT
KF5 is now in EPEL7.
Comment 9 Ngo Than 2016-05-18 04:43:31 EDT
i'm working on it, thanks four your remind.
Comment 10 Ngo Than 2016-05-18 05:13:04 EDT
it's fixed in liblxqt-0.10.0-7.el7
http://koji.fedoraproject.org/koji/taskinfo?taskID=14146248
Comment 11 Fedora Update System 2016-06-07 11:21:43 EDT
libkscreen-qt5-5.6.4-2.el7 liblxqt-0.10.0-7.el7 libqtxdg-1.3.0-2.el7 libstatgrab-0.91-4.el7 libsysstat-0.3.1-4.el7 lxqt-about-0.10.0-4.el7 lxqt-common-0.10.0-12.el7 lxqt-config-0.10.0-5.el7 lxqt-globalkeys-0.10.0-4.el7 lxqt-notificationd-0.10.0-4.el7 lxqt-openssh-askpass-0.10.0-3.el7 lxqt-panel-0.10.0-6.el7 lxqt-policykit-0.10.0-3.el7 lxqt-powermanagement-0.10.0-3.el7 lxqt-qtplugin-0.10.0-2.el7 lxqt-runner-0.10.0-5.el7 lxqt-session-0.10.0-3.el7 lxqt-sudo-0.10.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7864befa97
Comment 12 Fedora Update System 2016-06-15 10:06:30 EDT
libfm-1.2.4-3.el7 libkscreen-qt5-5.6.4-2.el7 liblxqt-0.10.0-7.el7 libqtxdg-1.3.0-2.el7 libstatgrab-0.91-4.el7 libsysstat-0.3.1-4.el7 lximage-qt-0.4.0-6.el7 lxqt-about-0.10.0-4.el7 lxqt-common-0.10.0-12.el7 lxqt-config-0.10.0-5.el7 lxqt-globalkeys-0.10.0-4.el7 lxqt-notificationd-0.10.0-4.el7 lxqt-openssh-askpass-0.10.0-3.el7 lxqt-panel-0.10.0-6.el7 lxqt-policykit-0.10.0-3.el7 lxqt-powermanagement-0.10.0-3.el7 lxqt-qtplugin-0.10.0-2.el7 lxqt-runner-0.10.0-5.el7 lxqt-session-0.10.0-3.el7 lxqt-sudo-0.10.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7864befa97
Comment 13 Fedora Update System 2016-06-16 11:19:06 EDT
libfm-1.2.4-3.el7, libkscreen-qt5-5.6.4-2.el7, liblxqt-0.10.0-7.el7, libqtxdg-1.3.0-2.el7, libstatgrab-0.91-4.el7, libsysstat-0.3.1-4.el7, lximage-qt-0.4.0-6.el7, lxqt-about-0.10.0-4.el7, lxqt-common-0.10.0-12.el7, lxqt-config-0.10.0-5.el7, lxqt-globalkeys-0.10.0-4.el7, lxqt-notificationd-0.10.0-4.el7, lxqt-openssh-askpass-0.10.0-3.el7, lxqt-panel-0.10.0-6.el7, lxqt-policykit-0.10.0-3.el7, lxqt-powermanagement-0.10.0-3.el7, lxqt-qtplugin-0.10.0-2.el7, lxqt-runner-0.10.0-5.el7, lxqt-session-0.10.0-3.el7, lxqt-sudo-0.10.0-4.el7, menu-cache-1.0.1-1.el7.1, pcmanfm-qt-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7864befa97
Comment 14 Fedora Update System 2016-06-18 11:47:24 EDT
libfm-1.2.4-3.el7, libkscreen-qt5-5.6.4-2.el7, liblxqt-0.10.0-7.el7, libqtxdg-1.3.0-2.el7, libstatgrab-0.91-4.el7, libsysstat-0.3.1-4.el7, lximage-qt-0.4.0-6.el7, lxqt-about-0.10.0-4.el7, lxqt-common-0.10.0-12.el7, lxqt-config-0.10.0-5.el7, lxqt-globalkeys-0.10.0-4.el7, lxqt-notificationd-0.10.0-4.el7, lxqt-openssh-askpass-0.10.0-3.el7, lxqt-panel-0.10.0-6.el7, lxqt-policykit-0.10.0-3.el7, lxqt-powermanagement-0.10.0-3.el7, lxqt-qtplugin-0.10.0-2.el7, lxqt-runner-0.10.0-5.el7, lxqt-session-0.10.0-3.el7, lxqt-sudo-0.10.0-4.el7, menu-cache-1.0.1-1.el7.1, pcmanfm-qt-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.